<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div id="team-info" th:fragment="team">
    <div class="ui grid">
      <div class="ui negative message" th:if="${message}">
        <i class="close icon"></i>
        <div class="header">We're sorry we can't do that</div>
        <span th:text="${message}"></span>
      </div>
      <div class="row">
        <div class="eleven wide column">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></h4>
          <label th:text="${team.name}"></label>
        </div>
      </div>
      <div class="row">
        <div class="eleven wide column">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBAREA}}"></h4>
          <div class="ui labeled input">
            <div class="ui pointing white basic left floated column dropdown write small icon">
              <label th:if="${team.subArea} != null" th:text="${team.subArea.name}"></label>
              <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_UPDATE)">
                <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EDIT}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
                <div class="menu">
                  <div class="item" th:each="item : ${subareas}" th:onclick="'updatesubarea(' + ${team.id} + ',' + ${item.id} + ');'">
                    <input th:field="${team.subArea.id}" type="hidden" />
                    <div class="ui tiny label" style="border-radius: 5px; min-width: 45px; text-align: center;" th:text=${item.area.abbreviation} th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></div>
                    <th:block th:text="${item.name}" th:value="${item.id}"></th:block>
                  </div>
                </div>
              </th:block>
            </div>
          </div>
        </div>
        <div class="two wide column">
          <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_UPDATE)">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TECHNICAL_ASSISTANCE}}"></h4>
            <div class="ui toggle checkbox" onclick="technicalassistance()">
              <input type="checkbox" name="technicalassistance" id="technicalassistance" th:checked="${team.technicalAssistance}">
            </div>
          </th:block>
        </div>
        <div class="two wide column">
          <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_UPDATE)">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVE}}"></h4>
            <div class="ui toggle checkbox" onclick="archive()">
              <input type="checkbox" name="active" id="active" th:checked="${team.active}">
            </div>
          </th:block>
        </div>
      </div>
    </div>
  </div>
  <div class="ui grid" id="members-list">
    <th:block th:fragment="members-list">
      <div class="row">
        <div class="column">
          <th:block>
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MEMBERS}}"></h4>
            <div class="ui stackable five column grid">
              <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_UPDATE)">
                <div class="column">
                  <div class="zone column ui left pointing dropdown">
                    <i th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BIG_NEW}" style="padding-left: 40%;"></i>
                    <div class="menu" style="min-width: 220px;">
                      <div class="ui left search icon input">
                        <i class="search icon"></i>
                        <input type="text" name="search" />
                      </div>
                      <div class="divider"></div>
                      <div class="item" th:each="item : ${resources}" th:onclick="'addmember(' + ${team.id} + ',' + ${item.id} + ');'" th:if="!${#lists.isEmpty(resources)}">
                        <img alt="avatar" class="ui avatar image" th:src="@{${item.avatar.image}}" />
                        <label th:text="${item.name}"></label>
                      </div>
                    </div>
                  </div>
                </div>
              </th:block>
              <th:block th:each="item, stat : ${members}">
                <div class="column">
                  <div class="ui middle aligned grid">
                    <div class="fourteen wide column no-padding">
                      <div class="ui mini comments">
                        <div class="comment">
                          <a class="avatar mini">
                            <img alt="avatar" class="ui avatar mini image" th:src="@{${item.resource.avatar.image}}" />
                          </a>
                          <div class="content">
                            <a class="author" th:text="${item.resource.name}" th:onclick="'updatemember(' + ${item.team.id} + ', ' + ${item.resource.id} + ');'" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_UPDATE)"></a>
                            <span class="author" sec:authorize="not hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_UPDATE)" th:text="${item.resource.name}"></span>
                            <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_UPDATE)">
                              <a class="one wide column no-padding" th:onclick="'removemember(' + ${item.team.id} + ', ' + ${item.resource.id} + ');'" href="#">
                                <i class="trash red icon"></i>
                              </a>
                            </th:block>
                            <div class="text">
                              <label th:text="${item.occupation.name}"></label>
                              <div class="check-box ui mini" data-variation="mini inverted" th:if="${item.approver}" th:attr="data-content=#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPROVER}}">
                                <i class="checkmark box green icon"></i>
                              </div>
                              <div class="check-box ui mini" data-variation="mini inverted" th:if="${item.reviewer}" th:attr="data-content=#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REVIEWER}}">
                                <i class="checkmark box icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
                              </div>
                            </div>
                            <div th:class="${item.allocation != 100} ? 'ui small progress active' : 'ui small progress success'" data-total="100" th:data-value="${item.allocation}" th:data-percent="${item.allocation}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
                              <div class="bar" th:style="'transition-duration: 300ms; width: ' + ${item.allocation} +'% ;'">
                                <div class="progress" th:text="${item.allocation + '%'}"></div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </th:block>
            </div>
          </th:block>
        </div>
      </div>
    </th:block>
  </div>
  <br />
  <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
			                                                          		icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
			                                                          		icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_TEAMS},
			                                                          		)" />
  <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
</body>
</html>